MWAWPropertyHandler Class Referenceabstract

a generic property handler More...

`#include <MWAWPropertyHandler.hxx>`

## Public Member Functions

| MWAWPropertyHandler ()
| constructor More...
virtual | ~MWAWPropertyHandler ()
| destructor More...
virtual void | startElement (const char *psName, const WPXPropertyList &xPropList)=0
| starts an element More...
virtual void | endElement (const char *psName)=0
| ends an element More...
virtual void | characters (WPXString const &sCharacters)=0
| writes a list of characters More...
bool | checkData (WPXBinaryData const &encoded)
| checks a encoded WPXBinaryData created by MWAWPropertyHandlerEncoder More...
bool | readData (WPXBinaryData const &encoded)
| reads a encoded WPXBinaryData created by MWAWPropertyHandlerEncoder More...

## Detailed Description

a generic property handler

## Constructor & Destructor Documentation

MWAWPropertyHandler::MWAWPropertyHandler | ( |  | ) |

inline

constructor

virtual MWAWPropertyHandler::~MWAWPropertyHandler | ( |  | ) |

inline virtual

destructor

## Member Function Documentation

virtual void MWAWPropertyHandler::characters | ( | WPXString const & | sCharacters | ) |

pure virtual

writes a list of characters

bool MWAWPropertyHandler::checkData | ( | WPXBinaryData const & | encoded | ) |

checks a encoded WPXBinaryData created by MWAWPropertyHandlerEncoder

virtual void MWAWPropertyHandler::endElement | ( | const char * | psName | ) |

pure virtual

ends an element

bool MWAWPropertyHandler::readData | ( | WPXBinaryData const & | encoded | ) |

reads a encoded WPXBinaryData created by MWAWPropertyHandlerEncoder

virtual void MWAWPropertyHandler::startElement | ( | const char * | psName,
|  | const WPXPropertyList & | xPropList
| ) |  |

pure virtual

starts an element

The documentation for this class was generated from the following files:

- MWAWPropertyHandler.hxx
- MWAWPropertyHandler.cxx